ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package sql
  Definition Classes
    adam
- Alignment
- Dbxref
- Feature
- Fragment
- Genotype
- OntologyTerm
- ProcessingStep
- Read
- Reference
- Sequence
- Slice
- TranscriptEffect
- Variant
- VariantAnnotation
- VariantCallingAnnotations
- VariantContext

c

org.bdgenomics.adam.sql

# VariantCallingAnnotations 

###
Companion object VariantCallingAnnotations

#### case class VariantCallingAnnotations(filtersApplied: Option[Boolean] = None, filtersPassed: Option[Boolean] = None, filtersFailed: Seq[String] = Seq(), downsampled: Option[Boolean] = None, baseQRankSum: Option[Float] = None, fisherStrandBiasPValue: Option[Float] = None, rmsMapQ: Option[Float] = None, mapq0Reads: Option[Int] = None, mqRankSum: Option[Float] = None, readPositionRankSum: Option[Float] = None, genotypePriors: Seq[Float] = Seq(), genotypePosteriors: Seq[Float] = Seq(), vqslod: Option[Float] = None, culprit: Option[String] = None, attributes: Map[String, String] = Map()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantCallingAnnotations
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new VariantCallingAnnotations(filtersApplied: Option[Boolean] = None, filtersPassed: Option[Boolean] = None, filtersFailed: Seq[String] = Seq(), downsampled: Option[Boolean] = None, baseQRankSum: Option[Float] = None, fisherStrandBiasPValue: Option[Float] = None, rmsMapQ: Option[Float] = None, mapq0Reads: Option[Int] = None, mqRankSum: Option[Float] = None, readPositionRankSum: Option[Float] = None, genotypePriors: Seq[Float] = Seq(), genotypePosteriors: Seq[Float] = Seq(), vqslod: Option[Float] = None, culprit: Option[String] = None, attributes: Map[String, String] = Map())

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val attributes: Map[String, String]
6.  val baseQRankSum: Option[Float]
7.  def canEqual(that: Any): Boolean
   Definition Classes
     VariantCallingAnnotations → Equals
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
9.  val culprit: Option[String]
10.  val downsampled: Option[Boolean]
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  val filtersApplied: Option[Boolean]
13.  val filtersFailed: Seq[String]
14.  val filtersPassed: Option[Boolean]
15.  val fisherStrandBiasPValue: Option[Float]
16.  val genotypePosteriors: Seq[Float]
17.  val genotypePriors: Seq[Float]
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  val mapq0Reads: Option[Int]
21.  val mqRankSum: Option[Float]
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
25.  def productArity: Int
    Definition Classes
      VariantCallingAnnotations → Product
26.  def productElement(i: Int): Any
    Definition Classes
      VariantCallingAnnotations → Product
27.  val readPositionRankSum: Option[Float]
28.  val rmsMapQ: Option[Float]
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  def toAvro: formats.avro.VariantCallingAnnotations
31.  val vqslod: Option[Float]
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped